automake-ng
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-ng] [PATCH 7/8] [ng] general: can override make macros on cmdl


From: Stefano Lattarini
Subject: [Automake-ng] [PATCH 7/8] [ng] general: can override make macros on cmdline
Date: Thu, 19 Jan 2012 22:59:35 +0100

GNU make is smart enough to correctly pass the values of macros
redefined on the command line to sub-make invocations.  So there's
no need to document this usage as unportable, nor to avoid it in
the testsuite, nor to provide the AM_MAKEFLAGS special variable
as a workaround for the sake of lesser makes implementations.

* Makefile.am (sc_tests_make_without_am_makeflags): Removed.
(sc_tests_overriding_macros_on_cmdline): Likewise.
(sc_tests_make_without_am_makeflags): New maintainer check,
verifies hat AM_MAKEFLAGS is never used in test case, *.am
fragments, automake generated rules, nor documentation.
(syntax_check_rules): Adjust.
* doc/automake.texi: Update.
* automake.in: Likewise.
* Some tests and various lib/am/*.am fragments: Likewise.
* tests/remake-all-2.test: Remove.
* tests/remake-subdir2.test: Likewise.
* tests/list-of-tests.mk: Adjust.
---
 Makefile.am                        |   50 ++++++----------------
 automake.in                        |   25 +++++------
 doc/automake.texi                  |   63 ++++++++++++----------------
 lib/am/check.am                    |   10 ++--
 lib/am/configure.am                |   14 +++---
 lib/am/distdir.am                  |   34 +++++++-------
 lib/am/install.am                  |   10 ++--
 lib/am/lisp.am                     |   10 ++--
 lib/am/multilib.am                 |   15 ++++---
 lib/am/remake-hdr.am               |    6 +-
 lib/am/subdirs.am                  |    8 ++--
 lib/am/texi-vers.am                |    4 +-
 lib/am/texibuild.am                |    4 +-
 tests/distcheck-hook.test          |    4 +-
 tests/distcheck-hook2.test         |    4 +-
 tests/java-compile-run-flat.test   |    4 +-
 tests/java-compile-run-nested.test |    4 +-
 tests/libobj19.test                |    4 +-
 tests/list-of-tests.mk             |    4 +-
 tests/remake-all-1.test            |    3 +-
 tests/remake-all-2.test            |   75 --------------------------------
 tests/remake-subdir2.test          |   82 ------------------------------------
 22 files changed, 122 insertions(+), 315 deletions(-)
 delete mode 100755 tests/remake-all-2.test
 delete mode 100755 tests/remake-subdir2.test

diff --git a/Makefile.am b/Makefile.am
index ffa856c..d943d9f 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -232,7 +232,7 @@ sc_AMDEP_TRUE_in_automake_in \
 sc_tests_no_gmake_requirement \
 sc_tests_no_gmake_checking \
 sc_tests_make_can_chain_suffix_rules \
-sc_tests_make_without_am_makeflags \
+sc_no_am_makeflags \
 sc_tests_obsolete_variables \
 sc_tests_plain_make \
 sc_tests_plain_autoconf \
@@ -499,11 +499,18 @@ sc_tests_make_can_chain_suffix_rules:
          exit 1; \
        fi
 
-## Tests should never call make directly.
-sc_tests_make_without_am_makeflags:
-       @if grep '^[^#].*(MAKE) ' $(srcdir)/lib/am/*.am $(srcdir)/automake.in |\
-               grep -v 'AM_MAKEFLAGS'; then \
-         echo 'Use $$(MAKE) $$(AM_MAKEFLAGS).' 1>&2; \
+## $(AM_MAKEFLAGS) is obsolete now that we assume GNU make, since it
+## is smart enough to correctly pass the values of macros redefined on
+## the command line to sub-make invocations.
+sc_no_am_makeflags:
+       @files="\
+         $(xtests) \
+         $(srcdir)/lib/am/*.am \
+         $(srcdir)/automake.in \
+         $(srcdir)/doc/*.texi \
+        "; \
+       if grep '\bAM_MAKEFLAGS\b' $$files; then \
+         echo "\$$(AM_MAKEFLAGS) is obsolete, don't use it." 1>&2; \
          exit 1; \
        fi
 
@@ -663,37 +670,6 @@ sc_tests_tap_plan:
          exit 1; \
         }
 
-## Overriding a Makefile macro on the command line is not portable when
-## recursive targets are used.  Better use an envvar.  SHELL is an
-## exception, POSIX says it can't come from the environment.  V, DESTDIR,
-## DISTCHECK_CONFIGURE_FLAGS and DISABLE_HARD_ERRORS are exceptions, too,
-## as package authors are urged not to initialize them anywhere.
-sc_tests_overriding_macros_on_cmdline:
-       @if grep -E '\$$MAKE .*(SHELL=.*=|=.*SHELL=)' $(xtests); then \
-         echo 'Rewrite "$$MAKE foo=bar SHELL=$$SHELL" as "foo=bar $$MAKE -e 
SHELL=$$SHELL"' 1>&2; \
-         echo ' in the above lines, it is more portable.' 1>&2; \
-         exit 1; \
-       fi
-## Also try to account for usages like "$MAKE || st=$?".
-       @if sed -e 's/ || .*//' -e 's/ && .*//' \
-               -e 's/ DESTDIR=[^ ]*/ /' -e 's/ SHELL=[^ ]*/ /' \
-               -e 's/ V=[^ ]*/ /' -e 's/ DISABLE_HARD_ERRORS=[^ ]*/ /' \
-## DISTCHECK_CONFIGURE_FLAGS is allowed to contain whitespace in its
-## definition, so the more complex substitutions below.
-               -e "s/ DISTCHECK_CONFIGURE_FLAGS='[^']*'/ /" \
-               -e 's/ DISTCHECK_CONFIGURE_FLAGS="[^"]*"/ /' \
-               -e 's/ DISTCHECK_CONFIGURE_FLAGS=[^ ]/ /' \
-             $(xtests) | grep '\$$MAKE .*='; then \
-         echo 'Rewrite "$$MAKE foo=bar" as "foo=bar $$MAKE -e" in the above 
lines,' 1>&2; \
-         echo 'it is more portable.' 1>&2; \
-         exit 1; \
-       fi
-       @if grep 'SHELL=.*\$$MAKE' $(xtests); then \
-         echo '$$MAKE ignores the SHELL envvar, use "$$MAKE SHELL=$$SHELL" in' 
1>&2; \
-         echo 'the above lines.' 1>&2; \
-         exit 1; \
-       fi
-
 ## Never use `sleep 1' to create files with different timestamps.
 ## Use `$sleep' instead.  Some filesystems (e.g., Windows') have only
 ## a 2sec resolution.
diff --git a/automake.in b/automake.in
index df50238..68518e5 100644
--- a/automake.in
+++ b/automake.in
@@ -3626,7 +3626,7 @@ sub handle_tags
                          # Never fail here if a subdir fails; it
                          # isn't important.
                          . "\t  test \"\$\$subdir\" = . || (\$(am__cd) 
\$\$subdir"
-                         . " && \$(MAKE) \$(AM_MAKEFLAGS) tags); \\\n"
+                         . " && \$(MAKE) tags); \\\n"
                          . "\tdone\n");
        push (@tag_deps, 'tags-recursive');
        &depend ('.PHONY', 'tags-recursive');
@@ -3637,7 +3637,7 @@ sub handle_tags
                          # Never fail here if a subdir fails; it
                          # isn't important.
                          . "\t  test \"\$\$subdir\" = . || (\$(am__cd) 
\$\$subdir"
-                         . " && \$(MAKE) \$(AM_MAKEFLAGS) ctags); \\\n"
+                         . " && \$(MAKE) ctags); \\\n"
                          . "\tdone\n");
        push (@ctag_deps, 'ctags-recursive');
        &depend ('.PHONY', 'ctags-recursive');
@@ -3648,7 +3648,7 @@ sub handle_tags
                          # Never fail here if a subdir fails; it
                          # isn't important.
                          . "\t  test \"\$\$subdir\" = . || (\$(am__cd) 
\$\$subdir"
-                         . " && \$(MAKE) \$(AM_MAKEFLAGS) cscopelist); \\\n"
+                         . " && \$(MAKE) cscopelist); \\\n"
                          . "\tdone\n");
        push (@cscope_deps, 'cscopelist-recursive');
        &depend ('.PHONY', 'cscopelist-recursive');
@@ -4527,7 +4527,7 @@ sub handle_install ()
      new Automake::Location,
      maybe_BUILT_SOURCES => (set_seen ('BUILT_SOURCES')
                             ? (" \$(BUILT_SOURCES)\n"
-                               . "\t\$(MAKE) \$(AM_MAKEFLAGS)")
+                               . "\t\$(MAKE)")
                             : ''),
      'installdirs-local' => (user_phony_rule 'installdirs-local'
                             ? ' installdirs-local' : ''),
@@ -4583,8 +4583,7 @@ sub handle_all ($)
        # that breaks when using parallel makes.  Instead we handle
        # things explicitly.
        $output_all .= ("all: @local_headers"
-                       . "\n\t"
-                       . '$(MAKE) $(AM_MAKEFLAGS) '
+                       . "\n\t\$(MAKE) "
                        . (var ('SUBDIRS') ? 'all-recursive' : 'all-am')
                        . "\n\n");
         depend ('.MAKE', 'all');
@@ -4620,14 +4619,14 @@ sub do_check_merge_target ()
       $output_rules .= "check-am: all-am\n";
       if (@check)
         {
-         pretty_print_rule ("\t\$(MAKE) \$(AM_MAKEFLAGS)", "\t  ",
+         pretty_print_rule ("\t\$(MAKE)", "\t  ",
                             @check);
          depend ('.MAKE', 'check-am');
        }
     }
   if (@check_tests)
     {
-      pretty_print_rule ("\t\$(MAKE) \$(AM_MAKEFLAGS)", "\t  ",
+      pretty_print_rule ("\t\$(MAKE)", "\t  ",
                         @check_tests);
       depend ('.MAKE', 'check-am');
     }
@@ -4636,7 +4635,7 @@ sub do_check_merge_target ()
   # Handle recursion.  We have to honor BUILT_SOURCES like for `all:'.
   $output_rules .= ("check: "
                    . (var ('BUILT_SOURCES')
-                      ? "\$(BUILT_SOURCES)\n\t\$(MAKE) \$(AM_MAKEFLAGS) "
+                      ? "\$(BUILT_SOURCES)\n\t\$(MAKE) "
                       : '')
                    . (var ('SUBDIRS') ? 'check-recursive' : 'check-am')
                    . "\n");
@@ -4761,7 +4760,7 @@ sub handle_factored_dependencies
          depend ('.MAKE', "$_-am");
          register_action("$_-am",
                          ("address@hidden(NORMAL_INSTALL)\n"
-                          . "\t\$(MAKE) \$(AM_MAKEFLAGS) $_-hook"));
+                          . "\t\$(MAKE) $_-hook"));
        }
     }
 
@@ -5847,7 +5846,7 @@ sub lang_vala_finish_target ($$)
           $output_rules .= "\$(srcdir)/$file: 
\$(srcdir)/${derived}_vala.stamp\n"
             . "address@hidden test -f \$@; then :; else rm -f 
\$(srcdir)/${derived}_vala.stamp; fi\n"
             . "address@hidden test -f \$@; then :; else \\\n"
-            . "\t  \$(MAKE) \$(AM_MAKEFLAGS) \$(srcdir)/${derived}_vala.stamp; 
\\\n"
+            . "\t  \$(MAKE) \$(srcdir)/${derived}_vala.stamp; \\\n"
            . "\tfi\n"
             if $file =~ s/(.*)\.vala$/$1.c/;
         }
@@ -5867,7 +5866,7 @@ sub lang_vala_finish_target ($$)
              $output_rules .= "\$(srcdir)/$headerfile: 
\$(srcdir)/${derived}_vala.stamp\n"
                . "address@hidden test -f \$@; then :; else rm -f 
\$(srcdir)/${derived}_vala.stamp; fi\n"
                . "address@hidden test -f \$@; then :; else \\\n"
-               . "\t  \$(MAKE) \$(AM_MAKEFLAGS) 
\$(srcdir)/${derived}_vala.stamp; \\\n"
+               . "\t  \$(MAKE) \$(srcdir)/${derived}_vala.stamp; \\\n"
                . "\tfi\n";
 
              # valac is not used when building from dist tarballs
@@ -5988,7 +5987,7 @@ sub lang_yacc_target_hook
              "$condstr${header}: $output\n"
              # Recover from removal of $header
              . "address@hidden test ! -f \$@; then rm -f $output; else :; fi\n"
-             . "address@hidden test ! -f \$@; then \$(MAKE) \$(AM_MAKEFLAGS) 
$output; else :; fi\n";
+             . "address@hidden test ! -f \$@; then \$(MAKE) $output; else :; 
fi\n";
          }
        # Distribute the generated file, unless its .y source was
        # listed in a nodist_ variable.  (&handle_source_transform
diff --git a/doc/automake.texi b/doc/automake.texi
index 6be7ac3..3afa8b3 100644
--- a/doc/automake.texi
+++ b/doc/automake.texi
@@ -4260,12 +4260,8 @@ SUBDIRS = doc intl po src tests
 @end example
 
 When Automake invokes @command{make} in a subdirectory, it uses the value
-of the @code{MAKE} variable.  It passes the value of the variable
address@hidden to the @command{make} invocation; this can be set in
address@hidden if there are flags you must always pass to
address@hidden
+of the @code{MAKE} variable.
 @vindex MAKE
address@hidden AM_MAKEFLAGS
 
 The directories mentioned in @code{SUBDIRS} are usually direct
 children of the current directory, each subdirectory containing its
@@ -11454,31 +11450,31 @@ check: test
 @cindex Proxy @file{Makefile} for third-party packages
 A similar idea that does not use @code{include} is to write a proxy
 @file{Makefile} that dispatches rules to the real @file{Makefile},
-either with @samp{$(MAKE) -f Makefile.real $(AM_MAKEFLAGS) target} (if
-it's OK to rename the original @file{Makefile}) or with @samp{cd
-subdir && $(MAKE) $(AM_MAKEFLAGS) target} (if it's OK to store the
-subdirectory project one directory deeper).  The good news is that
-this proxy @file{Makefile} can be generated with Automake.  All we
-need are @option{-local} targets (@pxref{Extending}) that perform the
-dispatch.  Of course the other Automake features are available, so you
-could decide to let Automake perform distribution or installation.
+either with @samp{$(MAKE) -f Makefile.real target} (if it's OK to
+rename the original @file{Makefile}) or with @samp{cd subdir &&
+$(MAKE) target} (if it's OK to store the subdirectory project one
+directory deeper).  The good news is that this proxy @file{Makefile}
+can be generated with Automake.  All we need are @option{-local}
+targets (@pxref{Extending}) that perform the dispatch.  Of course
+the other Automake features are available, so you could decide to
+let Automake perform distribution or installation.
 Here is a possible @file{Makefile.am}:
 
 @example
 all-local:
-        cd subdir && $(MAKE) $(AM_MAKEFLAGS) all
+        cd subdir && $(MAKE) all
 check-local:
-        cd subdir && $(MAKE) $(AM_MAKEFLAGS) test
+        cd subdir && $(MAKE) test
 clean-local:
-        cd subdir && $(MAKE) $(AM_MAKEFLAGS) clean
+        cd subdir && $(MAKE) clean
 
 # Assuming the package knows how to install itself
 install-data-local:
-        cd subdir && $(MAKE) $(AM_MAKEFLAGS) install-data
+        cd subdir && $(MAKE) install-data
 install-exec-local:
-        cd subdir && $(MAKE) $(AM_MAKEFLAGS) install-exec
+        cd subdir && $(MAKE) install-exec
 uninstall-local:
-        cd subdir && $(MAKE) $(AM_MAKEFLAGS) uninstall
+        cd subdir && $(MAKE) uninstall
 
 # Distribute files from here.
 EXTRA_DIST = subdir/Makefile subdir/program.c ...
@@ -12119,7 +12115,7 @@ foo_SOURCES = foo.c
 dist_man_MANS = foo.1
 
 foo.1: foo.c $(top_srcdir)/configure.ac
-        $(MAKE) $(AM_MAKEFLAGS) foo$(EXEEXT)
+        $(MAKE) foo$(EXEEXT)
         help2man --output=foo.1 ./foo$(EXEEXT)
 @end example
 
@@ -12151,7 +12147,7 @@ should be changed to
 
 @example
 distributed-file: distributed-sources
-        $(MAKE) $(AM_MAKEFLAGS) built-tools
+        $(MAKE) built-tools
         build-command
 @end example
 
@@ -12394,11 +12390,6 @@ DejaGnu tests (@pxref{DejaGnu Tests}) use 
@code{RUNTESTDEFAULTFLAGS} and
 (@pxref{Java}) use @code{JAVACFLAGS} and @code{AM_JAVACFLAGS}.  None
 of these rules support per-target flags (yet).
 
-To some extent, even @code{AM_MAKEFLAGS} (@pxref{Subdirectories})
-obeys this naming scheme.  The slight difference is that
address@hidden is passed to address@hidden implicitly by
address@hidden itself.
-
 However you should not think that all variables ending with
 @code{FLAGS} follow this convention.  For instance,
 @code{DISTCHECK_CONFIGURE_FLAGS} (@pxref{Checking the Distribution}) and
@@ -12645,7 +12636,7 @@ data.h: data.c
 ## Recover from the removal of $@@
         @@if test -f $@@; then :; else \
           rm -f data.c; \
-          $(MAKE) $(AM_MAKEFLAGS) data.c; \
+          $(MAKE) data.c; \
         fi
 @end example
 
@@ -12663,7 +12654,7 @@ data.h data.w data.x: data.c
 ## Recover from the removal of $@@
         @@if test -f $@@; then :; else \
           rm -f data.c; \
-          $(MAKE) $(AM_MAKEFLAGS) data.c; \
+          $(MAKE) data.c; \
         fi
 @end example
 
@@ -12699,7 +12690,7 @@ data.h data.w data.x: data.c
         else \
 ## Recover from the removal of $@@
           rm -f data.c; \
-          $(MAKE) $(AM_MAKEFLAGS) data.c; \
+          $(MAKE) data.c; \
         fi
 @end example
 
@@ -12716,7 +12707,7 @@ data.c data.h data.w data.x: data.stamp
 ## Recover from the removal of $@@
         @@if test -f $@@; then :; else \
           rm -f data.stamp; \
-          $(MAKE) $(AM_MAKEFLAGS) data.stamp; \
+          $(MAKE) data.stamp; \
         fi
 @end example
 
@@ -12729,9 +12720,9 @@ This solution still suffers from the second problem: 
the race
 condition in the recover rule.  If, after a successful build, a user
 erases @file{data.c} and @file{data.h}, and runs @samp{make -j}, then
 @command{make} may start both recover rules in parallel.  If the two
-instances of the rule execute @samp{$(MAKE) $(AM_MAKEFLAGS)
-data.stamp} concurrently the build is likely to fail (for instance, the
-two rules will create @file{data.tmp}, but only one can rename it).
+instances of the rule execute @samp{$(MAKE) data.stamp} concurrently
+the build is likely to fail (for instance, the two rules will create
address@hidden, but only one can rename it).
 
 Admittedly, such a weird situation does not arise during ordinary
 builds.  It occurs only when the build tree is mutilated.  Here
@@ -12753,7 +12744,7 @@ data.c data.h data.w data.x: data.stamp
           if mkdir data.lock 2>/dev/null; then \
 ## This code is being executed by the first process.
             rm -f data.stamp; \
-            $(MAKE) $(AM_MAKEFLAGS) data.stamp; \
+            $(MAKE) data.stamp; \
             result=$$?; rm -rf data.lock; exit $$result; \
           else \
 ## This code is being executed by the follower processes.
@@ -12789,7 +12780,7 @@ $(ELCFILES): elc-stamp
           if mkdir elc-lock 2>/dev/null; then \
 ## This code is being executed by the first process.
             rm -f elc-stamp; \
-            $(MAKE) $(AM_MAKEFLAGS) elc-stamp; \
+            $(MAKE) elc-stamp; \
             rmdir elc-lock; \
           else \
 ## This code is being executed by the follower processes.
@@ -12835,7 +12826,7 @@ $(ELCFILES): elc-stamp
           if $$dry mkdir elc-lock 2>/dev/null; then \
 ## This code is being executed by the first process.
             $$dry rm -f elc-stamp; \
-            $(MAKE) $(AM_MAKEFLAGS) elc-stamp; \
+            $(MAKE) elc-stamp; \
             $$dry rmdir elc-lock; \
           else \
 ## This code is being executed by the follower processes.
diff --git a/lib/am/check.am b/lib/am/check.am
index fb82137..c6d9a18 100644
--- a/lib/am/check.am
+++ b/lib/am/check.am
@@ -127,7 +127,7 @@ am__set_TESTS_bases = \
 # to avoid problems with "make -n".
 .log.trs:
        rm -f $< $@
-       $(MAKE) $(AM_MAKEFLAGS) $<
+       $(MAKE) $<
 
 # Helper recipe used by $(TEST_SUITE_LOG) below, to avoid problems with
 # "make -n".  Break this recipe in multiple shell invocations too, to
@@ -143,7 +143,7 @@ am--redo-logs:
          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
               "recursion detected" >&2; \
        else \
-         am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
+         am__remaking_logs=yes $(MAKE) $$redo_logs; \
        fi;
 ## Sanity check: each unreadable or non-existent test result file should
 ## has been properly remade at this point, as should the corresponding log
@@ -182,7 +182,7 @@ $(TEST_SUITE_LOG): $(TEST_LOGS)
          redo_bases="$$redo_bases" \
          redo_logs="$$redo_logs" \
          redo_results="$$redo_results" \
-           $(MAKE) $(AM_MAKEFLAGS) am--redo-logs || exit 1; \
+           $(MAKE) am--redo-logs || exit 1; \
        else :; fi;
 ## We need a new subshell to work portably with "make -n", since the
 ## previous part of the recipe contained a $(MAKE) invocation.
@@ -364,10 +364,10 @@ check-TESTS recheck:
           echo 'am--clean: am--clean-log am--clean-trs'; \
           echo 'am--clean-log: ; rm -f $$(am__logs)'; \
           echo 'am--clean-trs: ; rm -f $$(am__logs:.log=.trs)'; \
-         } | $(MAKE) $(AM_MAKEFLAGS) -f - am--clean am__logs="$$list" \
+         } | $(MAKE) -f - am--clean am__logs="$$list" \
            || exit 1; \
        fi; \
-       $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$list"
+       $(MAKE) $(TEST_SUITE_LOG) TEST_LOGS="$$list"
 
 ## Recheck must depend on $(check_SCRIPTS), $(check_PROGRAMS), etc.
 recheck: %CHECK_DEPS%
diff --git a/lib/am/configure.am b/lib/am/configure.am
index cadb27c..3876740 100644
--- a/lib/am/configure.am
+++ b/lib/am/configure.am
@@ -1,6 +1,6 @@
 ## automake - create Makefile.in from Makefile.am
-## Copyright (C) 2001, 2002, 2003, 2004, 2006, 2007, 2008, 2009  Free
-## Software Foundation, Inc.
+## Copyright (C) 2001, 2002, 2003, 2004, 2006, 2007, 2008, 2009, 2012
+## Free Software Foundation, Inc.
 
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -43,7 +43,7 @@ endif %?TOPDIR_P%
 ?TOPDIR_P?           echo ' cd $(srcdir) && $(AUTOMAKE) %AUTOMAKE-OPTIONS%'; \
 ?TOPDIR_P?           $(am__cd) $(srcdir) && $(AUTOMAKE) %AUTOMAKE-OPTIONS% \
 ?TOPDIR_P?             && exit 0; \
-?!TOPDIR_P?          ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) 
am--refresh ) \
+?!TOPDIR_P?          ( cd $(top_builddir) && $(MAKE) am--refresh ) \
 ## If on the other hand, subdir/Makefile.in has been removed, then toplevel
 ## am--refresh will not be aware of any need to run.  We still invoke it
 ## due to $? listing all prerequisites.  Fix up for it by running the rebuild
@@ -75,7 +75,7 @@ endif %?TOPDIR_P%
          *config.status*) \
 ?TOPDIR_P?         echo ' $(SHELL) ./config.status'; \
 ?TOPDIR_P?         $(SHELL) ./config.status;; \
-?!TOPDIR_P?        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; 
\
+?!TOPDIR_P?        cd $(top_builddir) && $(MAKE) am--refresh;; \
          *) \
 ## FIXME: $(am__depfiles_maybe) lets us re-run the rule to create the
 ## .P files.  Ideally we wouldn't have to do this by hand.
@@ -103,11 +103,11 @@ endif %?TOPDIR_P%
 
 $(top_builddir)/config.status: $(top_srcdir)/configure 
$(CONFIG_STATUS_DEPENDENCIES)
 ?TOPDIR_P?     $(SHELL) ./config.status --recheck
-?!TOPDIR_P?    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+?!TOPDIR_P?    cd $(top_builddir) && $(MAKE) am--refresh
 
 $(top_srcdir)/configure: %MAINTAINER-MODE% $(am__configure_deps)
 ?TOPDIR_P?     $(am__cd) $(srcdir) && $(AUTOCONF)
-?!TOPDIR_P?    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+?!TOPDIR_P?    cd $(top_builddir) && $(MAKE) am--refresh
 
 
 ## ------------ ##
@@ -124,7 +124,7 @@ $(top_srcdir)/configure: %MAINTAINER-MODE% 
$(am__configure_deps)
 if %?REGEN-ACLOCAL-M4%
 $(ACLOCAL_M4): %MAINTAINER-MODE% $(am__aclocal_m4_deps)
 ?TOPDIR_P?     $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
-?!TOPDIR_P?    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+?!TOPDIR_P?    cd $(top_builddir) && $(MAKE) am--refresh
 
 ## Avoid the "deleted header file" problem for the dependencies.
 $(am__aclocal_m4_deps):
diff --git a/lib/am/distdir.am b/lib/am/distdir.am
index 9b0a766..2bcd238 100644
--- a/lib/am/distdir.am
+++ b/lib/am/distdir.am
@@ -257,10 +257,10 @@ if %?SUBDIRS%
            dir1=$$subdir; dir2="$(top_distdir)"; \
            $(am__relativize); \
            new_top_distdir=$$reldir; \
-           echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) 
top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
+           echo " (cd $$subdir && $(MAKE) top_distdir="$$new_top_distdir" 
distdir="$$new_distdir" \\"; \
            echo "     am__remove_distdir=: am__skip_length_check=: 
am__skip_mode_fix=: distdir)"; \
            ($(am__cd) $$subdir && \
-             $(MAKE) $(AM_MAKEFLAGS) \
+             $(MAKE) \
                top_distdir="$$new_top_distdir" \
                distdir="$$new_distdir" \
 ## Disable am__remove_distdir so that sub-packages do not clear a
@@ -282,7 +282,7 @@ endif %?SUBDIRS%
 ## We must explicitly set distdir and top_distdir for these sub-makes.
 ##
 if %?DIST-TARGETS%
-       $(MAKE) $(AM_MAKEFLAGS) \
+       $(MAKE) \
          top_distdir="$(top_distdir)" distdir="$(distdir)" \
          %DIST-TARGETS%
 endif %?DIST-TARGETS%
@@ -415,7 +415,7 @@ AM_RECURSIVE_TARGETS += dist dist-all
 endif %?SUBDIRS%
 
 dist dist-all:
-       $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
+       $(MAKE) $(DIST_TARGETS) am__post_remove_distdir='@:'
        $(am__post_remove_distdir)
 
 endif %?TOPDIR_P%
@@ -474,7 +474,7 @@ distcheck: dist
 ## create this directory under $dc_install_base, because it would
 ## create very long directory names.
          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
-?DISTCHECK-HOOK?         && $(MAKE) $(AM_MAKEFLAGS) distcheck-hook \
+?DISTCHECK-HOOK?         && $(MAKE) distcheck-hook \
 ## Parallel BSD make may not start a new shell for each command in a recipe,
 ## so be sure to `cd' back to the original directory after this.
          && am__cwd=`pwd` \
@@ -486,13 +486,13 @@ distcheck: dist
 ## and let the user's flags take precedence over the developer's ones.
            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
            $(DISTCHECK_CONFIGURE_FLAGS) \
-         && $(MAKE) $(AM_MAKEFLAGS) \
-         && $(MAKE) $(AM_MAKEFLAGS) dvi \
-         && $(MAKE) $(AM_MAKEFLAGS) check \
-         && $(MAKE) $(AM_MAKEFLAGS) install \
-         && $(MAKE) $(AM_MAKEFLAGS) installcheck \
-         && $(MAKE) $(AM_MAKEFLAGS) uninstall \
-         && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" 
\
+         && $(MAKE) \
+         && $(MAKE) dvi \
+         && $(MAKE) check \
+         && $(MAKE) install \
+         && $(MAKE) installcheck \
+         && $(MAKE) uninstall \
+         && $(MAKE) distuninstallcheck_dir="$$dc_install_base" \
                distuninstallcheck \
 ## Make sure the package has proper DESTDIR support (we could not test this
 ## in the previous install/installcheck/uninstall test, because it's reasonable
@@ -508,16 +508,16 @@ distcheck: dist
 ## didn't create it.  Use mkdir, not $(MKDIR_P) because we want to
 ## fail if the directory already exists (PR/413).
               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
-              && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
-              && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
-              && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
+              && $(MAKE) DESTDIR="$$dc_destdir" install \
+              && $(MAKE) DESTDIR="$$dc_destdir" uninstall \
+              && $(MAKE) DESTDIR="$$dc_destdir" \
                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
              } || { rm -rf "$$dc_destdir"; exit 1; }) \
          && rm -rf "$$dc_destdir" \
-         && $(MAKE) $(AM_MAKEFLAGS) dist \
+         && $(MAKE) dist \
 ## Make sure to remove the dists we created in the test build directory.
          && rm -rf $(DIST_ARCHIVES) \
-         && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
+         && $(MAKE) distcleancheck \
 ## Cater to parallel BSD make (see above).
          && cd "$$am__cwd" \
          || exit 1
diff --git a/lib/am/install.am b/lib/am/install.am
index 01ae49a..d556b87 100644
--- a/lib/am/install.am
+++ b/lib/am/install.am
@@ -1,6 +1,6 @@
 ## automake - create Makefile.in from Makefile.am
-## Copyright (C) 2001, 2002, 2003, 2004, 2006, 2008, 2009, 2010 Free Software
-## Foundation, Inc.
+## Copyright (C) 2001, 2002, 2003, 2004, 2006, 2008, 2009, 2010, 2012
+## Free Software Foundation, Inc.
 
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -69,7 +69,7 @@ endif %?maybe_BUILT_SOURCES%
 
 .MAKE .PHONY: install-am
 install-am: all-am
-       @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+       @$(MAKE) install-exec-am install-data-am
 
 
 .PHONY: installcheck
@@ -96,11 +96,11 @@ install-strip:
 ## The case for empty $(STRIP) is separate so that it is quoted correctly for
 ## multiple words, but does not expand to an empty words if STRIP is empty.
        if test -z '$(STRIP)'; then \
-         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+         $(MAKE) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s 
\
              install; \
        else \
-         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+         $(MAKE) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s 
\
            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
        fi
diff --git a/lib/am/lisp.am b/lib/am/lisp.am
index 6ffcdbf..cefb87b 100644
--- a/lib/am/lisp.am
+++ b/lib/am/lisp.am
@@ -1,6 +1,6 @@
 ## automake - create Makefile.in from Makefile.am
-## Copyright (C) 1996, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006,
-## 2007, 2008, 2009, 2010 Free Software Foundation, Inc.
+## Copyright (C) 1996, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
+## 2006, 2007, 2008, 2009, 2010, 2012 Free Software Foundation, Inc.
 
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -61,8 +61,8 @@ $(am__ELCFILES): elc-stamp
        if test "$(EMACS)" != no && test ! -f $@; then \
 ## If `make -j' is used and more than one file has been erased, several
 ## processes can execute this block.  We have to make sure that only
-## the first one will run `$(MAKE) $(AM_MAKEFLAGS) elc-stamp', and the
-## other ones will wait.
+## the first one will run `$(MAKE) elc-stamp', and the other ones will
+## wait.
 ##
 ## There is a race here if only one child of make receive a signal.
 ## In that case the build may fail.  We remove elc-stamp when we receive
@@ -71,7 +71,7 @@ $(am__ELCFILES): elc-stamp
          if $$dry mkdir elc-lock 2>/dev/null; then \
 ## This code is being executed by the first process.
            $$dry rm -f elc-stamp; \
-           $(MAKE) $(AM_MAKEFLAGS) elc-stamp; \
+           $(MAKE) elc-stamp; \
            $$dry rmdir elc-lock; \
          else \
 ## This code is being executed by the follower processes.
diff --git a/lib/am/multilib.am b/lib/am/multilib.am
index 6897b5d..bfb1552 100644
--- a/lib/am/multilib.am
+++ b/lib/am/multilib.am
@@ -1,5 +1,6 @@
 ## automake - create Makefile.in from Makefile.am
-## Copyright (C) 1998, 2001, 2003, 2004 Free Software Foundation, Inc.
+## Copyright (C) 1998, 2001, 2003, 2004, 2012 Free Software Foundation,
+## Inc.
 
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -26,21 +27,21 @@ MULTICLEAN = true
 # comments below.
 
 all-multi:
-       $(MULTIDO) $(AM_MAKEFLAGS) DO=all multi-do # $(MAKE)
+       $(MULTIDO) DO=all multi-do # $(MAKE)
 install-multi:
-       $(MULTIDO) $(AM_MAKEFLAGS) DO=install multi-do # $(MAKE)
+       $(MULTIDO) DO=install multi-do # $(MAKE)
 
 .MAKE .PHONY: all-multi install-multi
 
 
 mostlyclean-multi:
-       $(MULTICLEAN) $(AM_MAKEFLAGS) DO=mostlyclean multi-clean # $(MAKE)
+       $(MULTICLEAN) DO=mostlyclean multi-clean # $(MAKE)
 clean-multi:
-       $(MULTICLEAN) $(AM_MAKEFLAGS) DO=clean multi-clean # $(MAKE)
+       $(MULTICLEAN) DO=clean multi-clean # $(MAKE)
 distclean-multi:
-       $(MULTICLEAN) $(AM_MAKEFLAGS) DO=distclean multi-clean # $(MAKE)
+       $(MULTICLEAN) DO=distclean multi-clean # $(MAKE)
 maintainer-clean-multi:
-       $(MULTICLEAN) $(AM_MAKEFLAGS) DO=maintainer-clean multi-clean # $(MAKE)
+       $(MULTICLEAN) DO=maintainer-clean multi-clean # $(MAKE)
 
 .MAKE .PHONY: mostlyclean-multi clean-multi distclean-multi 
maintainer-clean-multi
 
diff --git a/lib/am/remake-hdr.am b/lib/am/remake-hdr.am
index 35f4a46..1d068bd 100644
--- a/lib/am/remake-hdr.am
+++ b/lib/am/remake-hdr.am
@@ -1,6 +1,6 @@
 ## automake - create Makefile.in from Makefile.am
-## Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2001, 2003, 2004, 2005,
-## 2008, 2009, 2010 Free Software Foundation, Inc.
+## Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2001, 2003, 2004,
+## 2005, 2008, 2009, 2010, 2012 Free Software Foundation, Inc.
 
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -21,7 +21,7 @@
 %CONFIG_H%: %STAMP%
 ## Recover from removal of CONFIG_HEADER
        @if test ! -f $@; then rm -f %STAMP%; else :; fi
-       @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) %STAMP%; else :; fi
+       @if test ! -f $@; then $(MAKE) %STAMP%; else :; fi
 
 
 %STAMP%: %CONFIG_H_DEPS% $(top_builddir)/config.status
diff --git a/lib/am/subdirs.am b/lib/am/subdirs.am
index 9c01a8c..26d176b 100644
--- a/lib/am/subdirs.am
+++ b/lib/am/subdirs.am
@@ -1,6 +1,6 @@
 ## automake - create Makefile.in from Makefile.am
 ## Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2003,
-## 2004, 2008, 2009 Free Software Foundation, Inc.
+## 2004, 2008, 2009, 2012 Free Software Foundation, Inc.
 
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -53,11 +53,11 @@ $(RECURSIVE_TARGETS):
          else \
            local_target="$$target"; \
          fi; \
-         ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+         ($(am__cd) $$subdir && $(MAKE) $$local_target) \
          || eval $$failcom; \
        done; \
        if test "$$dot_seen" = "no"; then \
-         $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
+         $(MAKE) "$$target-am" || exit 1; \
        fi; test -z "$$fail"
 
 
@@ -106,6 +106,6 @@ $(RECURSIVE_CLEAN_TARGETS):
          else \
            local_target="$$target"; \
          fi; \
-         ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+         ($(am__cd) $$subdir && $(MAKE) $$local_target) \
          || eval $$failcom; \
        done && test -z "$$fail"
diff --git a/lib/am/texi-vers.am b/lib/am/texi-vers.am
index 680630b..5a7bf06 100644
--- a/lib/am/texi-vers.am
+++ b/lib/am/texi-vers.am
@@ -1,6 +1,6 @@
 ## automake - create Makefile.in from Makefile.am
 ## Copyright (C) 1994, 1995, 1996, 1998, 1999, 2000, 2001, 2002, 2003,
-## 2004, 2005  Free Software Foundation, Inc.
+## 2004, 2005, 2012 Free Software Foundation, Inc.
 
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -32,7 +32,7 @@ DIST_COMMON += %VTEXI% %STAMPVTI%
 ## %STAMPVTI% is distributed and %DIRSTAMP% isn't: a distributed file
 ## should never be dependent upon a non-distributed built file.
 ## Therefore we ensure that %DIRSTAMP% exists in the rule.
-?DIRSTAMP?     test -f %DIRSTAMP% || $(MAKE) $(AM_MAKEFLAGS) %DIRSTAMP%
+?DIRSTAMP?     test -f %DIRSTAMP% || $(MAKE) %DIRSTAMP%
        @(dir=.; test -f ./%TEXI% || dir=$(srcdir); \
        set `$(SHELL) %MDDIR%mdate-sh $$dir/%TEXI%`; \
        echo "@set UPDATED $$1 $$2 $$3"; \
diff --git a/lib/am/texibuild.am b/lib/am/texibuild.am
index 4b1add7..e6289dd 100644
--- a/lib/am/texibuild.am
+++ b/lib/am/texibuild.am
@@ -1,6 +1,6 @@
 ## automake - create Makefile.in from Makefile.am
 ## Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-##   2003, 2004, 2005, 2008  Free Software Foundation, Inc.
+## 2003, 2004, 2005, 2008, 2012 Free Software Foundation, Inc.
 
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -22,7 +22,7 @@
 ## `info' files are distributed and %DIRSTAMP% isn't: a distributed file
 ## should never be dependent upon a non-distributed built file.
 ## Therefore we ensure that %DIRSTAMP% exists in the rule.
-?!INSRC??DIRSTAMP?     @test -f %DIRSTAMP% || $(MAKE) $(AM_MAKEFLAGS) 
%DIRSTAMP%
+?!INSRC??DIRSTAMP?     @test -f %DIRSTAMP% || $(MAKE) %DIRSTAMP%
 ## Back up the info files before running makeinfo. This is the cheapest
 ## way to ensure that
 ## 1) If the texinfo file shrinks (or if you start using --no-split),
diff --git a/tests/distcheck-hook.test b/tests/distcheck-hook.test
index 16b151e..0e2029f 100755
--- a/tests/distcheck-hook.test
+++ b/tests/distcheck-hook.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2011 Free Software Foundation, Inc.
+# Copyright (C) 2011, 2012 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -36,7 +36,7 @@ END
 $ACLOCAL
 $AUTOMAKE
 $FGREP 'distcheck-hook' Makefile.in
-$FGREP '$(MAKE) $(AM_MAKEFLAGS) distcheck-hook' Makefile.in
+$FGREP '$(MAKE) distcheck-hook' Makefile.in
 grep '^distcheck-hook:' Makefile.in
 
 $AUTOCONF
diff --git a/tests/distcheck-hook2.test b/tests/distcheck-hook2.test
index 7a20156..71c35aa 100755
--- a/tests/distcheck-hook2.test
+++ b/tests/distcheck-hook2.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2011 Free Software Foundation, Inc.
+# Copyright (C) 2011, 2012 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -64,7 +64,7 @@ cd ..
 $FGREP 'distcheck-hook' Makefile.in subpkg/Makefile.in
 
 $FGREP 'distcheck-hook' subpkg/Makefile.in && Exit 1
-$FGREP '$(MAKE) $(AM_MAKEFLAGS) distcheck-hook' Makefile.in
+$FGREP '$(MAKE) distcheck-hook' Makefile.in
 grep '^distcheck-hook:' Makefile.in
 
 ./configure
diff --git a/tests/java-compile-run-flat.test b/tests/java-compile-run-flat.test
index 6ee92c3..d81b0aa 100755
--- a/tests/java-compile-run-flat.test
+++ b/tests/java-compile-run-flat.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2011 Free Software Foundation, Inc.
+# Copyright (C) 2011, 2012 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -61,7 +61,7 @@ test-installed:
        if find $(prefix) | grep '\.stamp$$'; then exit 1; else :; fi
 
 run-installed:
-       jprog_doing_installcheck=yes $(MAKE) $(AM_MAKEFLAGS) check
+       jprog_doing_installcheck=yes $(MAKE) check
 
 check-local: test-built
 installcheck-local: test-installed run-installed
diff --git a/tests/java-compile-run-nested.test 
b/tests/java-compile-run-nested.test
index 4a112e4..c811a3a 100755
--- a/tests/java-compile-run-nested.test
+++ b/tests/java-compile-run-nested.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2011 Free Software Foundation, Inc.
+# Copyright (C) 2011, 2012 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -65,7 +65,7 @@ test-installed:
        if find $(prefix) | grep '\.stamp$$'; then exit 1; else :; fi
 
 run-installed:
-       jprog_doing_installcheck=yes $(MAKE) $(AM_MAKEFLAGS) check
+       jprog_doing_installcheck=yes $(MAKE) check
 
 check-local: test-built
 installcheck-local: test-installed run-installed
diff --git a/tests/libobj19.test b/tests/libobj19.test
index 79334d9..b3ce6ba 100755
--- a/tests/libobj19.test
+++ b/tests/libobj19.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2010, 2011 Free Software Foundation, Inc.
+# Copyright (C) 2010, 2011, 2012 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -37,7 +37,7 @@ libtu_a_LIBADD = $(LIBOBJS)
 ## rule are required for when we move this Makefile in a subdir, later.
 my_distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)
 check-local:
-       (cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) distdir)
+       (cd $(top_builddir) && $(MAKE) distdir)
        ls -l $(top_srcdir)/* $(top_builddir)/* $(my_distdir)/*
        test -f libtu.a
        test ! -r $(top_srcdir)/foobar.c
diff --git a/tests/list-of-tests.mk b/tests/list-of-tests.mk
index 31d70a7..417e463 100644
--- a/tests/list-of-tests.mk
+++ b/tests/list-of-tests.mk
@@ -2,7 +2,7 @@
 ## testsuite.  This fragment is meant to be included by the Makefile.am,
 ## but also to be executed directly by make when bootstrapping automake.
 
-## Copyright (C) 2011 Free Software Foundation, Inc.
+## Copyright (C) 2011, 2012 Free Software Foundation, Inc.
 ## Copyright (C) 2011, 2012 Free Software Foundation, Inc.
 ##
 ## This program is free software; you can redistribute it and/or modify
@@ -859,11 +859,9 @@ remake10c.test \
 remake11.test \
 remake12.test \
 remake-all-1.test \
-remake-all-2.test \
 remake-subdir-from-subdir.test \
 remake-subdir-gnu.test \
 remake-subdir.test \
-remake-subdir2.test \
 remake-subdir-long-time.test \
 remake-gnulib-add-acsubst.test \
 remake-gnulib-add-header.test \
diff --git a/tests/remake-all-1.test b/tests/remake-all-1.test
index 670b46a..7779bb4 100755
--- a/tests/remake-all-1.test
+++ b/tests/remake-all-1.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 2010, 2011 Free Software Foundation, Inc.
+# Copyright (C) 2010, 2011, 2012 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -15,7 +15,6 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # Check that the "all" target triggers rebuilt of outdated Makefiles.
-# See also sister test `remake-all-2.test'.
 
 . ./defs || Exit 1
 
diff --git a/tests/remake-all-2.test b/tests/remake-all-2.test
deleted file mode 100755
index 395ef69..0000000
--- a/tests/remake-all-2.test
+++ /dev/null
@@ -1,75 +0,0 @@
-#! /bin/sh
-# Copyright (C) 2010, 2011 Free Software Foundation, Inc.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-
-# Check that the "all" target triggers rebuilt of outdated makefiles.
-# This handle the case in which the makefiles are not called `Makefile'.
-# See also sister test `remake-all-1.test'.
-
-. ./defs || Exit 1
-
-mkfile=foobar
-
-magic1=::MagicStringOne::
-magic2=__MagicStringTwo__
-magic3=%%MagicStringThree%%
-
-cat > configure.in <<END
-AC_INIT([$me], [1.0])
-AM_INIT_AUTOMAKE
-AC_CONFIG_FILES([$mkfile sub/$mkfile])
-FOO='$magic1'
-AC_OUTPUT
-END
-
-mkdir sub
-
-cat > $mkfile.am <<END
-SUBDIRS = sub
-AM_MAKEFLAGS = -f $mkfile
-END
-
-cat > sub/$mkfile.am <<END
-AM_MAKEFLAGS = -f $mkfile
-END
-
-$ACLOCAL
-$AUTOMAKE
-
-$EGREP "^all-am:.* $mkfile( |$)" $mkfile.in sub/$mkfile.in
-
-$AUTOCONF
-./configure
-
-$FGREP "$magic1" mkfile.in && Exit 1 # Sanity check.
-
-# Two code paths in configure.am:
-
-# - either a file in $(am__configure_deps) has been updated ...
-$sleep
-echo "AC_SUBST([FOO])" >> configure.in
-$MAKE -f $mkfile
-$FGREP FOO $mkfile # For debugging.
-$FGREP $magic1 $mkfile
-
-# - ... or not; i.e., Makefile.am or an included file has.
-$sleep
-echo "# $magic2" >> $mkfile.am
-echo "# $magic3" >> sub/$mkfile.am
-$MAKE -f $mkfile
-$FGREP $magic2 $mkfile
-$FGREP $magic3 sub/$mkfile
-
-:
diff --git a/tests/remake-subdir2.test b/tests/remake-subdir2.test
deleted file mode 100755
index a70b5f9..0000000
--- a/tests/remake-subdir2.test
+++ /dev/null
@@ -1,82 +0,0 @@
-#! /bin/sh
-# Copyright (C) 2011 Free Software Foundation, Inc.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-
-# Check that remake rules works from subdirectories, even when makefiles
-# are not named "Makefile".
-# See also the other similar tests `remake-subdir*.test', and the
-# related test `aclocal5.test'.
-
-. ./defs || Exit 1
-
-magic1='::MagicString::One::'
-magic2='__MagicString__Two__'
-
-debug_info ()
-{
-  grep -i magic configure build.in build.mk sub/build.in sub/build.mk
-}
-
-cat > configure.in <<END
-AC_INIT([$me], [1.0])
-AM_INIT_AUTOMAKE
-AC_CONFIG_FILES([build.mk:build.in])
-AC_CONFIG_FILES([sub/build.mk:sub/build.in])
-AC_SUBST([MAGIC], [magic])
-AC_OUTPUT
-END
-
-cat > build.am <<'END'
-AM_MAKEFLAGS = -f build.mk
-SUBDIRS = sub
-END
-
-mkdir sub
-cat > sub/build.am <<'END'
-AM_MAKEFLAGS = -f build.mk
-END
-
-$ACLOCAL
-$AUTOCONF
-$AUTOMAKE
-./configure
-ls -l # For debugging.
-
-$MAKE -f build.mk
-debug_info
-
-$sleep
-sed "s|magic|$magic1|" configure.in > t
-mv -f t configure.in
-cd sub
-$MAKE -f build.mk build.mk
-cd ..
-debug_info
-$FGREP $magic1 configure
-$FGREP $magic1 build.mk
-$FGREP $magic1 sub/build.mk
-
-$sleep
-cd sub
-echo MAGIC = $magic2 >> build.am
-$MAKE -f build.mk build.mk
-cd ..
-debug_info
-$FGREP $magic2 sub/build.mk
-$FGREP $magic2 sub/build.in
-$FGREP $magic1 sub/build.in sub/build.mk && Exit 1
-$FGREP $magic2 build.in build.mk && Exit 1
-
-:
-- 
1.7.7.3




reply via email to

[Prev in Thread] Current Thread [Next in Thread]